Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601113 - python36 is not built for F29 yet
Summary: python36 is not built for F29 yet
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python36
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-13 23:06 UTC by Jun Aruga
Modified: 2018-07-15 14:04 UTC (History)
2 users (show)

Fixed In Version: python36-3.6.6-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-15 14:04:50 UTC


Attachments (Terms of Use)

Description Jun Aruga 2018-07-13 23:06:48 UTC
Description of problem:

On rawhide container environment.

```
[root@0bbe3dc6b92f /]# dnf --version
3.0.2
  Installed: dnf-0:3.0.2-1.fc29.noarch at Fri Jul 13 22:48:54 2018
  Built    : Fedora Project at Fri Jun 29 11:13:15 2018

  Installed: rpm-0:4.14.2-0.rc1.1.fc29.1.x86_64 at Fri Jul 13 22:48:43 2018
  Built    : Fedora Project at Mon Jul  2 16:33:23 2018

[root@0bbe3dc6b92f /]# dnf -y install /usr/bin/python3.6
Last metadata expiration check: 0:15:57 ago on Fri Jul 13 22:47:02 2018.
No match for argument: /usr/bin/python3.6
Error: Unable to find a match

[root@0bbe3dc6b92f /]# echo $?
1
```

python3.5 is ok.

```
[root@0bbe3dc6b92f /]# dnf -y install /usr/bin/python3.5
Last metadata expiration check: 0:17:30 ago on Fri Jul 13 22:47:02 2018.
Package python35-3.5.5-2.fc29.x86_64 is already installed, skipping.
Dependencies resolved.
Nothing to do.
Complete!
```

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. dnf -y install /usr/bin/python3.6

Actual results:

python3.6 is not installed. it exits with an error status.

Expected results:

python3.6 is installed.

Additional info:

Comment 1 Miro Hrončok 2018-07-14 06:50:55 UTC
I've stalled building http://src.fedoraproject.org/rpms/python36 on purpose, so packages requiring libpython3.6m.so.1.0()(64bit) won't pick it up.

I was prepared that it will be built and shipped with mass rebuild.

However, if this is blocking you, I can build it sooner.

Comment 2 Miro Hrončok 2018-07-14 07:14:41 UTC
It's now only pyotherside and renderdoc. I'll keep an eye on those.

Comment 3 Jun Aruga 2018-07-14 12:56:53 UTC
Thanks for the quick answer.
I dropped py36 test on rawhide temporary for my program. Then I am okay. It's not blocking issue.
https://github.com/junaruga/rpm-py-installer/commit/a61fffe47b513c9cdb0d8b8e1fd12ea41158c483


Note You need to log in before you can comment on or make changes to this bug.